// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SceneItem.hpp"
#include "Scene.hpp"

using namespace Dawn;

SceneItem::SceneItem(Scene &scene, sceneitemid_t id) :
  scene(scene),
  id(id),
  transform(*this)
{
}

void SceneItem::init() {
  
}

SceneItem::~SceneItem() {
  std::cout << "Scene item disposed" << std::endl;
}